aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-05-24 20:49:13 +0200
committerMichał Górny <mgorny@gentoo.org>2021-05-24 20:49:13 +0200
commit27ec895f35bdafcdff4d1ec813e076775f3e8548 (patch)
tree5e273e6da38e2b647554b1813dc9ce5542588cf0
parentUpdate pkgcheck2html (diff)
downloadqa-scripts-27ec895f35bdafcdff4d1ec813e076775f3e8548.tar.gz
qa-scripts-27ec895f35bdafcdff4d1ec813e076775f3e8548.tar.bz2
qa-scripts-27ec895f35bdafcdff4d1ec813e076775f3e8548.zip
Add a script to report impl changes in packages
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rwxr-xr-xgpy-impl-list17
1 files changed, 17 insertions, 0 deletions
diff --git a/gpy-impl-list b/gpy-impl-list
new file mode 100755
index 0000000..8c365dd
--- /dev/null
+++ b/gpy-impl-list
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+OUTDIR=$1
+
+if [[ -z ${OUTDIR} ]]; then
+ echo "Usage: $0 <out-dir>" >&2
+ exit 1
+fi
+
+IRC='ircs://irc.libera.chat/#gentoo-python'
+
+irk "${IRC}" - <<<$'\0'
+gpy-list-pkg-impls > "${OUTDIR}"/python-pkg-impls.txt.new
+while read -r x; do
+ irk "${IRC}" "${x}"
+done < <(git diff -s --word-diff -U0 "${OUTDIR}"/python-pkg-impls.txt{,.new} | tail -n +5 | grep -v '^@@')
+mv "${OUTDIR}"/python-pkg-impls.txt{.new,}